MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001293XdebugUsage problems (Wrong Results)public2016-04-12 13:012016-08-01 21:27
ReportersimplyTom 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows 10OS VersionWin 10 x64
Product Version2.4.0 
Target VersionFixed in Version2.4.1 
Summary0001293: Great integer values ( bigger then 2 ^35 ) are wrong in the debug output, but right in the final php-output
Description$iTest1 = 2;
$iTest2 = 2;

$iTest3 = 100000000000000;
$iTest4 = 100000000000;

$iTest5 = ( $Test1 * $iTest3 ) + ( $iTest2 * $iTest4 ) + 1;


echo $iTest1; // is 2
echo "
";
echo "
";
echo $iTest2; // is 2
echo "
";
echo "
";
echo $iTest3; // is in debugger 276447232 but in reality 100000000000000
echo "
";
echo "
";
echo $iTest4; // is in debugger 1215752192 but in reality 100000000000
echo "
";
echo "
";
echo $iTest5; // is in debugger -1310568447 but in reality 200200000000001

I mistakenly posted this bug in the phpstorm-bugtracker:

https://youtrack.jetbrains.com/issue/WI-31398# [^]

Here is some more info and screenshots to this topic.
Steps To ReproduceI use the following config:
Win 10 x64
Apache 2.4.18.0 x64 Thread Safe
PHP 7.0.5 x64 Thread Safe
XDebug 2.4Final x64 Thread Safe
PHPStorm 2016.1
Java SE 1.7.0 Update 67

I do the complete roundtrip over Apache and the XDebug-Port.
http://192.168.XX.XX:8090/test.php?XDEBUG_SESSION_START=phpstorm [^]

Not a local debug-session.

This is in my php.ini:

zend_extension ="c:\php70\ext\php_xdebug2_4.dll"
[XDebug]
xdebug.remote_enable=true
xdebug.remote_host=192.168.XX.XX (it is my real ip-adress)
xdebug.remote_port=9090
xdebug.remote_handler=dbgp
xdebug.profiler_enable=0
xdebug.profiler_output_dir="c:\temp\profiling"
xdebug.idekey=PHPSTORM


TagsNo tags attached.
Operating System
PHP Version7.0.0-7.0.4
Attached Filespng file icon xdebug.png [^] (21,959 bytes) 2016-07-12 11:29

- Relationships
duplicate of 0001282closedderick var_dump() of integers > 32 bit is broken 

-  Notes
(0003644)
simplyTom (reporter)
2016-07-12 11:32

I can work with it if I make a strval( ) into the sourcecode.
But it would be cooler to have it directly in the debugger.
(0003662)
derick (administrator)
2016-08-01 21:27

Duplicate of issue 0001282, which is part of the to-be-released 2.4.1.

- Issue History
Date Modified Username Field Change
2016-04-12 13:01 simplyTom New Issue
2016-07-12 11:29 simplyTom File Added: xdebug.png
2016-07-12 11:32 simplyTom Note Added: 0003644
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)
2016-08-01 21:27 derick Category (No Category) => Usage problems (Wrong Results)
2016-08-01 21:27 derick Note Added: 0003662
2016-08-01 21:27 derick Relationship added duplicate of 0001282
2016-08-01 21:27 derick Status new => resolved
2016-08-01 21:27 derick Fixed in Version => 2.4.1
2016-08-01 21:27 derick Resolution open => fixed
2016-08-01 21:27 derick Assigned To => derick


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker